from doctr.io import DocumentFile
from doctr.models import ocr_predictor

# Load the pre-trained OCR model
model = ocr_predictor(pretrained=True)

# Load your image
doc = DocumentFile.from_images("ocr.jpg")  # replace with your image path

# Perform OCR on the image
result = model(doc)

# Export the result as JSON to review the structured data
structured_data = result.export()

# Print the structured data
print(structured_data)
